<?php

namespace EventPortal\Domain\Event\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class SetTypeAsDefault
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $model = $payload->getModel();

        if ($model->type !== null) {
            return $next($payload);
        }

        $model->type = json_encode([
            'label' => 'Default',
            'value' => 'default',
        ]);

        $model->save();

        return $next($payload);
    }
}
