<?php

namespace EventPortal\Domain\Event\ValueObjects;

class PageHeader
{
    public string $title;

    public ?string $description = null;

    public ?string $heroImage = null;

    public ?string $date = null;

    public static function make(): self
    {
        return new self();
    }

    public function title(string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function date(string $date): self
    {
        $this->date = $date;

        return $this;
    }

    public function description(?string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function heroImage(?string $heroImage = null): self
    {
        $this->heroImage = $heroImage;

        return $this;
    }

    public function toArray(): array
    {
        return [
            'title' => $this->title,
            'description' => $this->description,
            'date' => $this->date,
            'heroImage' => $this->heroImage,
        ];
    }
}
