<?php

namespace EventPortal\Http\Controllers\Delegate\Event;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\DelegateRender;
use EventPortal\Enums\InertiaMethod;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\Response as HttpResponse;
use Inertia\Response;

class CancelledController extends Controller
{
    public function __invoke(Event $event): Response
    {
        abort_unless($event->status === 'cancelled', HttpResponse::HTTP_NOT_FOUND);

        return DelegateRender::component('Delegate/EventCancelled/EventCancelled')
            ->withData([
                'button' => Button::make('Back to dashboard')
                    ->method(InertiaMethod::VISIT())
                    ->white()
                    ->route('home'),
            ])
            ->get();
    }
}
